Get Confirmed Assignees
GET
/api/projects/{project_id}/confirmed-assignees
const url = 'https://example.com/api/projects/example/confirmed-assignees?unpaid_only=false';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/projects/example/confirmed-assignees?unpaid_only=false'List assignees with confirmed assignments for payment. Groups assignments by user. Returns pricing data from offers. Auth: Project PM/Admin only. Phase 1: Payment Integration
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
Project Id
string
Query Parameters
Section titled “Query Parameters”unpaid_only
Unpaid Only
boolean
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}